/// <reference types="react" />
export declare const CardActionMenuContainer: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme | undefined;
    as?: import("react").ElementType<any, keyof import("react").JSX.IntrinsicElements> | undefined;
}, import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, {}>;
export declare const CardStaticSkeleton: import("@emotion/styled").StyledComponent<import("../../../visualizations/components/skeletons/StaticSkeleton/StaticSkeleton").StaticSkeletonProps & {
    theme?: import("@emotion/react").Theme | undefined;
}, {}, {}>;
export declare const CardPreviewSkeleton: import("@emotion/styled").StyledComponent<import("react").HTMLAttributes<HTMLDivElement> & {
    display?: "object" | "row" | "line" | "map" | "table" | "pivot" | "area" | "progress" | "bar" | "funnel" | "gauge" | "pie" | "smartscalar" | "waterfall" | "scalar" | "combo" | "scatter" | undefined;
    name?: string | null | undefined;
    description?: string | null | undefined;
    actionMenu?: JSX.Element | null | undefined;
} & {
    theme?: import("@emotion/react").Theme | undefined;
}, {}, {}>;
export interface CardRootProps {
    isPreview?: boolean;
}
export declare const CardRoot: import("@emotion/styled").StyledComponent<import("@metabase/embedding-sdk-react/dist/frontend/src/metabase/core/components/Link").LinkProps & {
    theme?: import("@emotion/react").Theme | undefined;
} & CardRootProps, {}, {}>;
